package com.bytedance.android.livesdk.livesetting.broadcast;

import X.7he;
import X.C1947GMi;
import X.C1949GMk;
import X.Crj;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_beauty_param")
public final class LiveBeautyParamSetting {
    @Group(isDefault = true, value = "default group")
    public static final C1947GMi DEFAULT = new C1947GMi();
    public static final LiveBeautyParamSetting INSTANCE = new LiveBeautyParamSetting();
    public static final Crj settingValue$delegate = 7he.LIZ(C1949GMk.LIZ);

    private final C1947GMi getSettingValue() {
        return (C1947GMi) settingValue$delegate.getValue();
    }

    public final C1947GMi getValue() {
        return getSettingValue();
    }

    static {
        Covode.recordClassIndex(17647);
    }

    public final float getBeautyParam() {
        return getSettingValue().LIZIZ.LIZ * getSettingValue().LIZIZ.LIZIZ;
    }

    public final float getBigEyesParam() {
        return getSettingValue().LIZJ.LIZ * getSettingValue().LIZJ.LIZIZ;
    }

    public final float getBrighteningParam() {
        return getSettingValue().LIZ.LIZ * getSettingValue().LIZ.LIZIZ;
    }

    public final float getLiftParam() {
        return getSettingValue().LIZLLL.LIZ * getSettingValue().LIZLLL.LIZIZ;
    }

    public final float getSharpParam() {
        return getSettingValue().LJ.LIZ * getSettingValue().LJ.LIZIZ;
    }
}
